class UAModel {
  const UAModel({
    required this.platform,
    required this.platformVersion,
    required this.architecture,
    required this.model,
    this.brand,
    required this.mobile,
    required this.device,
    required this.appName,
    required this.packageName,
    required this.appVersion,
  });

  final String platform;
  final String platformVersion;
  final String architecture;
  final String model;
  final String? brand;
  final bool mobile;
  final String device;
  final String packageName;
  final String appName;
  final String appVersion;

  Map toJSON() {
    return {
      'platform': this.platform,
      'platformVersion': this.platformVersion,
      'architecture': this.architecture,
      'model': this.model,
      'brand': this.brand ?? "",
      'mobile': this.mobile,
      'device': this.device,
      'packageName': this.packageName,
      'appName': this.appName,
      'appVersion': this.appVersion,
    };
  }
}
